#!/usr/bin/env python
"""This module provides convienent access to the set of stylesheets."""
import libxml2
import libxslt

journal_index_style = None
journal_index_style_doc = None
wine_style = None
wine_style_doc = None

def init(stylesheet_dir):
    global journal_index_style
    global journal_index_style_doc
    global wine_style
    global wine_style_doc
    journal_index_style_doc = libxml2.parseFile("%s/journal_index.xsl" % stylesheet_dir)
    journal_index_style = libxslt.parseStylesheetDoc(journal_index_style_doc)

    wine_style_doc = libxml2.parseFile("%s/wine_details.xsl" % stylesheet_dir)
    wine_style = libxslt.parseStylesheetDoc(wine_style_doc)

def applyAndSaveResult(stylesheet, doc, outputfile, params=None):
    result = stylesheet.applyStylesheet(doc, params)
    stylesheet.saveResultToFilename(outputfile, result, 0)
    result.freeDoc()

def free():
    global journal_index_style
    global wine_style
    global journal_index_style_doc
    global wine_style_doc
    journal_index_style.freeStylesheet()
    wine_style.freeStylesheet()
