<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:param name="sort_by"/>

<!-- Support iPod Notes tags
  <TITLE></TITLE>
  <P></P>
  <BR/>
  <A href="link_to_other_file.txt">Description</A>
  <A href="song=Song Title">Name</A>
  <a href="ipod:music?playlist=Podcasts">Play all my podcasts</a>.
  <meta name="LineWrap" content="true">
  <meta name="ShowBodyOnly" content="true">
  <meta name="NowPlaying" content="true">
-->
    <xsl:template match="wines">
            <xsl:choose>
                <xsl:when test='$sort_by = "rating"'>
        <xsl:text>&lt;TITLE&gt;Wine Journal (by Rating)&lt;/TITLE&gt;
</xsl:text>
                    <xsl:apply-templates>
                        <xsl:sort select="review/rating" order="descending" data-type="number"/>
                    </xsl:apply-templates>
                </xsl:when>
                <xsl:otherwise>
        <xsl:text>&lt;TITLE&gt;Wine Journal (by Name)&lt;/TITLE&gt;
</xsl:text>
                    <xsl:apply-templates>
                        <xsl:sort select="name" order="ascending"/>
                    </xsl:apply-templates>
                </xsl:otherwise>
            </xsl:choose>
    </xsl:template>

    <xsl:template match="wine">
            <!-- TODO draw stars for the review -->
	    <xsl:value-of select="review/rating"/><xsl:text>&lt;br&gt;</xsl:text>
            <!-- TODO link to the full details of the wine -->
	    <xsl:text>&lt;a href="Wines/</xsl:text><xsl:value-of select="@id"/> <xsl:text>.txt"></xsl:text><xsl:value-of select="name"/><xsl:text>&lt;/a&gt;&lt;br&gt;
</xsl:text>
    </xsl:template>

</xsl:stylesheet>
