<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:param name="wine_id"/>

<xsl:template match="wine">
  <xsl:if test="@id = $wine_id">
    <xsl:call-template name="winedetails"/>
  </xsl:if>
</xsl:template>

<xsl:template name="winedetails">
    <xsl:text>&lt;TITLE&gt;</xsl:text>
    <xsl:value-of select="name"/>
    <xsl:text>&lt;/TITLE&gt;
</xsl:text>
    <xsl:text>Name:
    </xsl:text>
        <xsl:value-of select="name"/><xsl:text>
</xsl:text>
    <xsl:text>Vineyard:
    </xsl:text>
        <xsl:value-of select="vineyard"/><xsl:text>
</xsl:text>
    <xsl:text>Region:
    </xsl:text>
        <xsl:value-of select="region"/><xsl:text>
</xsl:text>
    <xsl:text>Price:
    </xsl:text>
        <xsl:value-of select="retail_price"/><xsl:text>
</xsl:text>
    <xsl:text>Varietals:
    </xsl:text>
    <xsl:apply-templates select="varietals"/><xsl:text>
</xsl:text>
    <xsl:text>Rating:
    </xsl:text>
    <xsl:value-of select="review/rating"/><xsl:text>

</xsl:text>
    <xsl:text>Review:
    </xsl:text>
    <xsl:value-of select="review/content"/><xsl:text>

</xsl:text>
    <xsl:text>Notes:
    </xsl:text>
    <xsl:value-of select="review/private_note"/><xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="varietal">
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="review">

</xsl:template>

</xsl:stylesheet>
